Subject: Re: bug#40852: Support compilation of Haskell in org mode babel blocks.

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 30 Sep 2020 05:35:51 +0200

Roland Coeurjoly <[email-masked]> writes:

> Haskell code can be both compiled (for example with ghc), or interpreted (with
> ghci).
>
> Until now, org babel had only support for interpretation.
>
> Haskell is weird in that some code for the interpreter cannot be
> compiled and viceversa.  For example, in ghci (the interpreter) you
> are required to use let to declare functions.
>
> In this patch I add support for compilation with the header argument
> :compile yes.  The function to compile haskell is almost a copy paste
> of the C funcion in ob-C.el.
>
> By default I retain the original behavior, i.e. interpreting the block.
>
> I have tested this patch in emacs-27.0.91.
>
> It is my first patch to GNU Emacs and I am a newbie with both elisp
> and haskell.

There was unfortunately no response to this patch at the time (in April
this year), because, I guess, not that many people have knowledge of
both Org and Haskell.  :-/  Me included.

The code looks reasonable to me, but I have no way of testing.

I'm not quite sure who I should direct attention to this patch -- Eric
Schulte, who wrote ob-haskell, doesn't seem to have contributed in a
decade...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no